section.mini-loader .st0 {
    fill: #08D0E9;
}

section.mini-loader .st1 {
    fill: #08579A;
}

section.mini-loader .st2 {
    fill: #088AE8;
}

section.mini-loader .st3 {
    fill: #157CB3;
}

section.mini-loader .st4 {
    fill: #0ED1EA;
}

section.mini-loader .st5 {
    fill: #0C8CE8;
}

section.mini-loader .st6 {
    fill: #0085E7;
}

section.mini-loader .st7 {
    fill: #58A6EA;
}

/*body {*/
/*    background: #FDFFFC;*/
/*}*/

section.mini-loader {
    /*height: 500px;*/
    /*width: 50px;*/
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

section.mini-loader svg {
    height: 50px;
    padding-bottom: 25px;
    position: absolute;
    transform-origin: 50% 100%;
    -webkit-animation: magic 6s linear infinite alternate;
    animation: magic 6s linear infinite alternate;
    mix-blend-mode: color;
    will-change: filter;
}

path {
    transform-origin: 50% 130%;
    -webkit-animation: power 3s infinite cubic-bezier(0.77, 0, 0.175, 1);
    animation: power 3s infinite cubic-bezier(0.77, 0, 0.175, 1);
    will-change: transform;
}

svg:nth-child(1) {
    transform: rotate(45deg);
    -webkit-animation-delay: 0.1s;
    animation-delay: 0.1s;
}
svg:nth-child(2) {
    transform: rotate(90deg);
    -webkit-animation-delay: 0.2s;
    animation-delay: 0.2s;
}
svg:nth-child(3) {
    transform: rotate(135deg);
    -webkit-animation-delay: 0.3s;
    animation-delay: 0.3s;
}
svg:nth-child(4) {
    transform: rotate(180deg);
    -webkit-animation-delay: 0.4s;
    animation-delay: 0.4s;
}
section.mini-loader svg:nth-child(5) {
    transform: rotate(225deg);
    -webkit-animation-delay: 0.5s;
    animation-delay: 0.5s;
}
section.mini-loader svg:nth-child(6) {
    transform: rotate(270deg);
    -webkit-animation-delay: 0.6s;
    animation-delay: 0.6s;
}
section.mini-loader svg:nth-child(7) {
    transform: rotate(315deg);
    -webkit-animation-delay: 0.7s;
    animation-delay: 0.7s;
}
section.mini-loader svg:nth-child(8) {
    transform: rotate(360deg);
    -webkit-animation-delay: 0.8s;
    animation-delay: 0.8s;
}
@-webkit-keyframes magic {
    50% {
        filter: hue-rotate(0deg) invert(100%);
    }
    100% {
        filter: hue-rotate(90deg) invert(0%);
    }
}
@keyframes magic {
    50% {
        filter: hue-rotate(0deg) invert(100%);
    }
    100% {
        filter: hue-rotate(90deg) invert(0%);
    }
}
@-webkit-keyframes power {
    100% {
        transform: rotate(360deg);
    }
}
@keyframes power {
    100% {
        transform: rotate(360deg);
    }
}
